-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "DS_ToggleLock"

-- **************************************************
-- General information about this script
-- **************************************************

DS_ToggleLock = {}
function DS_ToggleLock:Name()
	return "DS_ToggleLock"
end

function DS_ToggleLock:Version()
	return "0.1"
end

function DS_ToggleLock:Description()
	return "Offset a cycle to move a walkcycle"
end

function DS_ToggleLock:Creator()
	return "dauid.com"
end

function DS_ToggleLock:UILabel()
	return("Toggle lock")
end
-- **************************************************
-- Recurring values
-- **************************************************


-- **************************************************
-- The guts of this script
-- **************************************************


function DS_ToggleLock:Run(moho)
if (skel == nil) then
				return false
		end

		local skel = moho:Skeleton()

				for f = moho.document:StartFrame(), moho.document:EndFrame() do
				moho:SetCurFrame(f)
						for i = 0, skel:CountBones() - 1 do --For every bone do this
							local theTempBone=skel:Bone(i)
							if (theTempBone.fIKLock:HasKey(f)) then 
								if (theTempBone.fIKLock.value) then
									skel:UnlockBone(i, f)
									moho:SetCurFrame(f-1)
									moho:SetCurFrame(f)
									skel:LockBone(i, f)
								else
									skel:LockBone(i, f)
									moho:SetCurFrame(f-1)
									moho:SetCurFrame(f)
									skel:UnlockBone(i, f)
								end
								moho.layer:UpdateCurFrame(true)
			moho:NewKeyframe(CHANNEL_BONE)
			moho:NewKeyframe(CHANNEL_BONE_LOCK)
							end
						end
						
				end
			------------------------------------
	moho.layer:UpdateCurFrame(true)
end